package com.engine.jclproduct.annotation;

import java.lang.annotation.*;

/**
 * @Author liang.cheng
 * @Date 2024/10/25 1:48 PM
 * @Description:
 * @Version 1.0
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface TableTitle {
    int labelId() default -1;
    String title();
    String dataIndex();
    String key();
    boolean display() default true;
    String width() default "";
    boolean sorter() default false;
}
