package com.engine.jclproduct.annotation;

import java.lang.annotation.*;

/**
 * @Author liang.cheng
 * @Date 2024/10/25 1:48 PM
 * @Description:
 * @Version 1.0
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface WeaverTableColumn {

    String text() default "";

    int labelId() default -1;

    String width() default "";

    String column() default "";

    boolean display() default true;

    String orderkey() default "";

    String transmethod() default "";

    // 额外参数
    String otherPara() default "";

    // 多语言转换
    boolean multiLanguage() default false;
}
